# See this page to know what variables can be used : https://github.com/osixia/docker-openldap#defaultstartupyaml
# Here we only let the modified default variables

# Required and used for new ldap server only
LDAP_ORGANISATION: Picasoft
LDAP_DOMAIN: picasoft.net
LDAP_BASE_DN: #if empty automatically set from LDAP_DOMAIN

LDAP_READONLY_USER: true
LDAP_READONLY_USER_USERNAME: nss

# TLS
LDAP_TLS: true
LDAP_TLS_CRT_FILENAME: cert.pem
LDAP_TLS_KEY_FILENAME: privkey.pem
LDAP_TLS_CA_CRT_FILENAME: chain.pem
# Note 25/04 : This sets ssf to 128. Maybe it should set minssf to 128 instead to
# reject any non-encryption connexion on port 389. Testing required.
# (Indeed, when this variable is true, this file is executed :
# https://github.com/osixia/docker-openldap/blob/stable/image/service/slapd/assets/config/tls/tls-enforce-enable.ldif)
LDAP_TLS_ENFORCE: true
LDAP_TLS_VERIFY_CLIENT: never

HOSTNAME: ldap.picasoft.net
